package cn.palmte.work.bean;

/**
 * @author xiongshiyan at 2021/11/1 , contact me with email yanshixiong@126.com or phone 15208384257
 */
public enum CertaintyEnum {
    PLAN_A(1,"A：基本确定中标，待签合同，合同签订中"),
    PLAN_B(2,"B：客户产品参数、商务评分、商务资质引导成功"),
    PLAN_C(3,"C：项目初期引导阶段");

    private int certainty;
    private String certaintyStr;

    private CertaintyEnum(int certainty, String certaintyStr) {
        this.certainty = certainty;
        this.certaintyStr = certaintyStr;
    }

    public int getCertainty() {
        return certainty;
    }

    public void setCertainty(int certainty) {
        this.certainty = certainty;
    }

    public String getCertaintyStr() {
        return certaintyStr;
    }

    public void setCertaintyStr(String certaintyStr) {
        this.certaintyStr = certaintyStr;
    }

    public static CertaintyEnum parseCertainty(int certainty){
        if(certainty == 1){
            return PLAN_A;
        }
        if(certainty == 2){
            return PLAN_B;
        }
        if(certainty == 3){
            return PLAN_C;
        }
        throw new IllegalArgumentException("Unkown certainty:"+certainty);
    }
}
